org.h2.mode

## Class FunctionInfo

- java.lang.Object
- - org.h2.mode.FunctionInfo

    public final class FunctionInfo
    extends java.lang.Object

This class contains information about a built-in function.

### Field Summary

Fields
`boolean` `deterministic` If this function always returns the same value for the same parameters.
`java.lang.String` `name` The name of the function.
`boolean` `nullIfParameterIsNull` If the result of the function is NULL if any of the parameters is NULL.
`int` `returnDataType` The data type of the return value.
`int` `type` The function type.

### Constructor Summary

Constructors
Constructor and Description
`FunctionInfo(FunctionInfo source, java.lang.String name)` Creates a copy of built-in function information with a different name.
`FunctionInfo(java.lang.String name, int type, int parameterCount, int returnDataType, boolean nullIfParameterIsNull, boolean deterministic)` Creates new instance of built-in function information.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public final java.lang.String name

The name of the function.

#### type

    public final int type

The function type.

#### returnDataType

    public final int returnDataType

The data type of the return value.

#### nullIfParameterIsNull

    public final boolean nullIfParameterIsNull

If the result of the function is NULL if any of the parameters is NULL.

#### deterministic

    public final boolean deterministic

If this function always returns the same value for the same parameters.

### Constructor Detail

#### FunctionInfo

    public FunctionInfo(java.lang.String name,
                        int type,
                        int parameterCount,
                        int returnDataType,
                        boolean nullIfParameterIsNull,
                        boolean deterministic)

Creates new instance of built-in function information.

Parameters:
  `name` - the name of the function
  `type` - the function type
  `parameterCount` - the number of parameters
  `returnDataType` - the data type of the return value
  `nullIfParameterIsNull` - if the result of the function is NULL if any of the parameters is NULL
  `deterministic` - if this function always returns the same value for the same parameters

#### FunctionInfo

    public FunctionInfo(FunctionInfo source,
                        java.lang.String name)

Creates a copy of built-in function information with a different name. A copy will require parentheses.

Parameters:
  `source` - the source information
  `name` - the new name